/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.11-dev6
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.OrderTypes();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('OrderTypes', function() {
    it('should create an instance of OrderTypes', function() {
      // uncomment below and update the code to test OrderTypes
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be.a(ftclient.OrderTypes);
    });

    it('should have the property buy (base name: "buy")', function() {
      // uncomment below and update the code to test the property buy
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property sell (base name: "sell")', function() {
      // uncomment below and update the code to test the property sell
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property emergencysell (base name: "emergencysell")', function() {
      // uncomment below and update the code to test the property emergencysell
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property forcesell (base name: "forcesell")', function() {
      // uncomment below and update the code to test the property forcesell
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property forcebuy (base name: "forcebuy")', function() {
      // uncomment below and update the code to test the property forcebuy
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property stoploss (base name: "stoploss")', function() {
      // uncomment below and update the code to test the property stoploss
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property stoplossOnExchange (base name: "stoploss_on_exchange")', function() {
      // uncomment below and update the code to test the property stoplossOnExchange
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

    it('should have the property stoplossOnExchangeInterval (base name: "stoploss_on_exchange_interval")', function() {
      // uncomment below and update the code to test the property stoplossOnExchangeInterval
      //var instance = new ftclient.OrderTypes();
      //expect(instance).to.be();
    });

  });

}));
